## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsLayoutManager Struct Reference
[AWS, AWS]

Document me!@@. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsLayoutManager:

[legend]
List of all members.

## Public Member Functions

virtual csRect | AddComponent (iAwsComponent *cmp, iAwsComponentNode *settings)=0
| Adds a component to the layout, returning it's actual rect.
virtual void | LayoutComponents ()=0
| Lays out components properly.
virtual void | RemoveComponent (iAwsComponent *)=0
| Removes a component from the layout.
virtual void | SetOwner (iAwsComponent *_owner)=0
| Sets the owner.

## Detailed Description

Document me!@@.

Definition at line 786 of file aws.h.

## Member Function Documentation

virtual csRect iAwsLayoutManager::AddComponent | ( | iAwsComponent * | cmp,
|  | iAwsComponentNode * | settings
| ) | `[pure virtual]`

| Adds a component to the layout, returning it's actual rect.

virtual void iAwsLayoutManager::LayoutComponents | ( |  | ) | `[pure virtual]`

| Lays out components properly.

virtual void iAwsLayoutManager::RemoveComponent | ( | iAwsComponent * |  | ) | `[pure virtual]`

| Removes a component from the layout.

virtual void iAwsLayoutManager::SetOwner | ( | iAwsComponent * | _owner | ) | `[pure virtual]`

| Sets the owner. Normally the owner should never change, but in some rare cases (like in the Window class) the owner is set improperly by the setup code and must be fixed by the embedder. This should ALWAYS be used by widgets which embed the component and use delegate wrappers (i.e. awsecomponent)

The documentation for this struct was generated from the following file:

- iaws/aws.h